Bug 193331 - graphics/libcdr-0.0.16_1 fails to build with clang on 9.2-RELEASE
Summary: graphics/libcdr-0.0.16_1 fails to build with clang on 9.2-RELEASE
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Some People
Assignee: FreeBSD Office Team (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-04 19:37 UTC by Joseph Mingrone
Modified: 2017-02-17 03:16 UTC (History)
2 users (show)

See Also:


Attachments
Patch to add compiler:c++11-lib to USES (343 bytes, patch)
2014-09-05 16:18 UTC, Joseph Mingrone
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joseph Mingrone freebsd_committer 2014-09-04 19:37:14 UTC
The poudriere build log can be found here:
http://pkg.awarnach.mathstat.dal.ca/data/9amd64-default/2014-09-04_14h06m17s/logs/errors/libcdr-0.0.16_1.log

A workaround is to build with gcc47/g++47 by adding

.if !empty(.CURDIR:M/usr/ports/graphics/libcdr) && exists(/usr/local/bin/gcc47)
CC=gcc47
CXX=g++47
CPP=cpp47
.endif

to /etc/make.conf.
Comment 1 Tilman Keskinoz freebsd_committer 2014-09-05 14:41:11 UTC
Over to maintainer group
Comment 2 Joseph Mingrone freebsd_committer 2014-09-05 16:18:25 UTC
Created attachment 146877 [details]
Patch to add compiler:c++11-lib to USES

Adding compiler:c++11-lib to USES in the Makefile does the trick on 9.  I'm not sure about 10.  Thanks nox@.  Patch attached.
Comment 3 CraigW 2015-02-13 22:54:03 UTC
(In reply to Joseph Mingrone from comment #2)

This fixes the clang build on 9.3 for me as well.

FreeBSD 9.3-STABLE #0 r278642

FreeBSD clang version 3.4.1 (tags/RELEASE_34/dot1-final 208032) 20140512
Target: x86_64-unknown-freebsd9.3
Thread model: posix
Selected GCC installation: 

Can anyone get this committed.
Comment 4 Jan Beich freebsd_committer 2016-11-24 11:04:40 UTC
Was this fixed by ports r422711?